<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
  <meta charset="UTF-8">
  <title>List Event</title>
</head>
<body>
<div layout:fragment="main">
  <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
      <div class="header-body">
        <!-- Card stats -->
        <div class="row">
          <div class="col-xl-12 col-lg-12">
            <div class="card card-stats mb-4 mb-xl-0">
              <div class="card-body">
                <div class="row">
                  <div class="col">
                    <h5 class="card-title text-uppercase text-muted mb-0">Detail</h5>
                    <span class="h2 font-weight-bold mb-0">Event </span>
                  </div>
                  <div class="col-auto">
                    <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                      <i class="fas fa-calendar"></i>
                    </div>
                  </div>
                </div>

              </div>
            </div>
          </div>

        </div>
      </div>
    </div>
  </div>

  <div class="container-fluid mt--7">
    <div class="row" th:if="${success != null}">
      <div class="col">
        <div class="alert alert-success">
          <span th:text="${success}"></span>
        </div>
      </div>
    </div>
    <div class="row">

    </div>
    <div class="row">
      <div class="col">
        <div class="card shadow">
          <div class="card-header">
            <div class="row align-items-center mb-3">
              <div class="col">
                <h3 class="mb-0">
                  <i class="fa fa-calendar" style="color: orange"></i> <span th:text="${'Event '+ event.getEventName()}"></span>
                </h3>
              </div>
              <div class="col text-right">
                <a th:href="@{/academic/event}" class="btn btn-sm btn-default"><i class="fas fa-plus-circle"></i> Kembali</a>
              </div>
            </div>
<!--          </div>-->
<!--          <div class="card-body">-->
            <div class="row">
              <div class="col-md-3">
                <img width="100%" th:src="@{/event/{event}/download/(event = ${event.getId()})}">
              </div>
              <div class="col-md-9">
                <p th:utext="${event.getEventDescription()}"></p>
              </div>
              <input type="hidden" id="mulai" th:value="${event.getScheduleStart()}">
              <input type="hidden" id="selesai" th:value="${event.getScheduleEnd()}">
            </div>
          </div>
          <div class="card-body">
            <div class="row">
              <div class="col-md-6">
                <h3>Attendance</h3>
              </div>
              <div class="col-md-6 text-right">
                  Show entries <span sd:page-size-selector="javascript"></span>
              </div>
            </div>
          </div>

          <div class="table-responsive">
            <table class="table table-striped table-flush table-hover table-sm">
              <thead class="thead-light">
              <tr>
                <th  width="20px">No</th>
                <th>Nim</th>
                <th>Name</th>
                <th>Prodi</th>
                <th></th>
                <th>Attd Time</th>
                <th style="width: 5px">Evidence</th>
              </tr>
              </thead>
              <tbody>
              <tr th:each="data,row : ${listEventAbsensi}">
                <td class="align-middle text-right" th:text="${(row.index + 1) + (listEventAbsensi.number * listEventAbsensi.size)}">1</td>
                <td class="align-middle" th:text="${data.getMahasiswa().getNim()}"></td>
                <td class="align-middle" th:text="${data.getMahasiswa().getNama()}"></td>
                <td class="align-middle" th:text="${data.getMahasiswa().getIdProdi().getKodeProdi()+' - '+data.getMahasiswa().getIdProgram().getKodeProgram()}"></td>
                <td class="align-middle" th:text="${data.getMahasiswa().getIdProdi().getIdJenjang().getKodeJenjang()+' - '+data.getMahasiswa().getAngkatan()}"></td>
                <td class="align-middle" th:text="${#temporals.format(data.getWaktuAbsen().plusHours(7), 'dd-MMM-yyyy HH:mm:ss')}"></td>
                <td class="small">
                  <a class="btn btn-sm btn-success" th:href="@{/attendance/{eventAbsensi}/download/(eventAbsensi = ${data.getId()})}" target="_blank" th:download="${'evidence_attd_event_'+data.getEvent().getEventName()+'_'+data.getMahasiswa().getNim()}" >
                    <i class="fa fa-download"></i>
                  </a>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
          <!--                    </div>-->
          <div class="card-footer">
            <nav aria-label="...">
              <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
              </ul>
            </nav>
          </div>
        </div>

      </div>
    </div>

  </div>
</div>
</body>
</html>